https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/comment/{id}Updates a comment. This operation can be accessed anonymously. **Permissions required:** * *Browse projects* project permission for the project that the issue containing the comment is in. * If issue-level security is configured, issue-level security permission to view the issue. * *Edit all comments* project permission to update any comment or *Edit own comments* to update comment created by the user. * If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
The ID or key of the issue.
The ID of the comment.
Whether users are notified when a comment is updated.
Whether screen security is overridden to enable uneditable fields to be edited. Available to Connect app users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) and Forge apps acting on behalf of users with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/comment/{id}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/comment/{id}Updates a comment. This operation can be accessed anonymously. **Permissions required:** * *Browse projects* project permission for the project that the issue containing the comment is in. * If issue-level security is configured, issue-level security permission to view the issue. * *Edit all comments* project permission to update any comment or *Edit own comments* to update comment created by the user. * If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
The ID or key of the issue.
The ID of the comment.
Whether users are notified when a comment is updated.
Whether screen security is overridden to enable uneditable fields to be edited. Available to Connect app users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) and Forge apps acting on behalf of users with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/comment/{id}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}